
require("config")
require("framework.init")
require("framework.shortcodes")
require("framework.cc.init")

local random = math.random
local MyApp = class("MyApp", cc.mvc.AppBase)

function MyApp:ctor()
    MyApp.super.ctor(self)
end

function MyApp:run()    
--[[        
    [=[预加载声音和音效]=]
    
    for k, v in pairs(MUSIC_LIST) do
    end

    for k, v in pairs(EFFECT_LIST) do
    end
--]]        

    CCFileUtils:sharedFileUtils():addSearchPath("res/")
    CCFileUtils:sharedFileUtils():addSearchPath("res/caidan/")
    CCFileUtils:sharedFileUtils():addSearchPath("res/duihuakuang/")
    CCFileUtils:sharedFileUtils():addSearchPath("res/feiji/")
    CCFileUtils:sharedFileUtils():addSearchPath("res/paopao/")
    CCFileUtils:sharedFileUtils():addSearchPath("res/qiche/")
    
    -------------------------------------------
    if not io.exists(DB_PATH) then return nil end
    local sqlite3 = require("lsqlite3")
    local db = sqlite3.open(DB_PATH)
    local sceneid = 0
    for v in db:urows(SQL_QUERY1) do
        sceneid = v
    end
    db:close()
    -------------------------------------------
    sceneid = tonumber(sceneid)+1
    local scenename = SCENE_LIST[sceneid]
    self:enterScene(scenename)
end

return MyApp
