
-- 0 - disable debug info, 1 - less debug info, 2 - verbose debug info
DEBUG = 1
DEBUG_FPS = false
DEBUG_MEM = false

-- design resolution
-- CONFIG_SCREEN_WIDTH  = 640
-- CONFIG_SCREEN_HEIGHT = 960

-- auto scale mode
CONFIG_SCREEN_AUTOSCALE = "FIXED_WIDTH"

CONFIG_SCREEN_WIDTH  = 720
CONFIG_SCREEN_HEIGHT = 1280

--[[屏幕渐入的时间]]
FADEIN_TIME = 1.0
--[[声音列表]]
MUSIC_LIST = {

}

--[[音效列表]]
EFFECT_LIST = {
	
}

PP_SRC = {
			{"blue_pp.plist", "blue_pp.png"},
			{"green_pp.plist", "green_pp.png"},
			{"pink_pp.plist", "pink_pp.png"},
			{"purple_pp.plist", "purple_pp.png"},
			{"red_pp.plist", "red_pp.png"},
			{"yellow_pp.plist", "yellow_pp.png"},												
			{"pop_pp.plist", "pop_pp.png"},
}

CAR_SRC = {
			{"green_car.plist", "green_car.png"},
			{"pink_car.plist", "pink_car.png"},
			{"red_car.plist", "red_car.png"},
			{"yellow_car.plist", "yellow_car.png"},
}

PLANE = {
			{"red_flyer.plist","red_flyer.png"},
			{"green_flyer.plist","green_flyer.png"},
			{"red_plane.plist","red_plane.png"},			
			{"green_plane.plist","green_plane.png"},
}

SCENE_LIST = {"BubbleScene", "CarScene", "PlaneScene"}

BG_BUBBLE = "bubble_background.png"
BG_CAR = "car_background.png"
BG_PLANE = "plane_background.png"
-- PLANE_SMOKE = "fire.png"
PLANE_SMOKE = "smoke8.png"
TOP_BG = "topBarBg.png"
TITLE_FONT  = "宋体"
TITLE_SIZE  = 27
TITLE_COLOR = ccc3(0,0,0)

DIALOG_MSG   = "播放列表中没有歌曲，无法播放！"
DIALOG_COLOR = ccc3(0,0,0)
DIALOG_BG  = "dialog_bg.png"
DIALOG_FG  = "dialog_fg.png"
DIALOG_BTN = "dialog_btn.png"

MENU_SMALL = "menu_small.png"
MENU_PLAY  = "menu_play.png"
MENU_START = "menu_start.png"
MENU_PAUSE = "menu_pause.png"
MENU_PREV  = "menu_prev.png"
MENU_NEXT  = "menu_next.png"
--[[播放列表]]
MENU_PLAYLIST = "menu_playlist.png"
--[[全部循环]]
MENU_ALL_LOOP = "menu_all_loop.png"
--[[顺序播放]]
MENU_ORDER_LIST = "menu_order_list.png"
--[[单曲播放]]
MENU_ONE_LOOP = "menu_one_loop.png"
--[[显示播放组件的时间]]
SHOW_MUSICPANEL_TIME = 1.0
--[[隐藏播放组件的时间]]
HIDE_MUSICPANEL_TIME = 5.0

--[[大小播放面板所在的ZOrder值]]
MENU_SMALL_LAYER = 2000
MENU_PLAY_LAYER  = 2001
TITLE_BG_LAYER   = 2002
TITLE_LAYER      = 2003
DIALOG_LAYER	 = 3000

--[[sqlite路径]]
--DB_PATH = "D:/quick-cocos2d-x/test/InterScene/res/wawayaya_kidssong"
--DB_PATH = "c:/tmp/wawayaya_kidssong.sqlite"
DB_PATH = "/data/data/wawayaya.kids_song/databases/wawayaya_kidssong.sqlite"
--[[查询歌曲列表SQL语句]]
SQL_QUERY = [=[
SELECT
      sl.path,
      sl.musicfilename,
      sl.name
FROM songlist sl
     INNER JOIN playlist pl
           ON sl.id = pl.id
order by pl.sequence asc
]=]

--查询配置播放场景列表
SQL_QUERY1 = [=[
SELECT
      cg.value as vv
FROM config cg
     where key = '1000'
]=]

--[[播放面板操作]]
PANEL_OPEN = "open"
PANEL_CLOSE = "close"

PLAY_STATUS = "play"
PAUSE_STATUS = "pause"

LIST_MODE = "list_mode"
ALLLOOP_MODE = "allloop_mode"
ONELOOP_MODE = "oneloop_mode"

--[[

]]